package com.framsticks.communication;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.Nonnull;

import com.framsticks.params.SourceInterface;
// import com.framsticks.util.lang.Strings;

/**
 * @author Piotr Sniegowski
 */
public final class File {
	protected final String path;
	protected final SourceInterface content;

	public File(@Nonnull String path, @Nonnull SourceInterface content) {
		// assert Strings.notEmpty(path);
		this.path = path;
		this.content = content;
	}

	public String getPath() {
		return path;
	}

	public SourceInterface getContent() {
		return content;
	}

	public static List<File> single(File file) {
		List<File> result = new ArrayList<File>();
		result.add(file);
		return result;
	}
}
